API Explorer 1 endpoints

Update Agent status

PUT /obp/v7.0.0/banks/BANK_ID/agents/AGENT_ID

OBPv5.1.0-updateAgentStatus Roles: CanUpdateAgentStatusAtAnyBank,CanUpdateAgentStatusAtOneBank(per bank) CustomerPerson

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

AGENT_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

BANK_ID: gh.29.uk

JSON response body fields (8)
agent_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
agent_number
5987953
bank_id
gh.29.uk
currency
EUR
is_confirmed_agent
is_confirmed_agent
is_pending_agent
is_pending_agent
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
Example request body
{
  "is_pending_agent": false,
  "is_confirmed_agent": true
}
Example success response
{
  "agent_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "bank_id": "gh.29.uk",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+49 30 901820",
  "agent_number": "5987953",
  "currency": "EUR",
  "is_confirmed_agent": false,
  "is_pending_agent": true
}
Possible errors (7)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-30201: Agent not found. Please specify a valid value for AGENT_ID.
  • OBP-30325: Agent Account Link not found.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 updateAgentStatus Originally /obp/v5.1.0/banks/BANK_ID/agents/AGENT_ID